Retrieve keys
You can retrieve the key details by using the GET /keys endpoint in two ways:
- Retrieve the details of a key by using the
keyIdas the path parameter. - Retrieve a list of keys by using query parameters as filters.
Retrieve a key
You can retrieve the details of a key by using the GET /keys/{id} endpoint.
HTTP Method: GET
Endpoint: /keys/{id}
Scenario: Retrieving the details of a single key
{
"activationTimestamp": 2752499200000,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1791809608355,
"keyExpirationTimestamp": 2784035200000,
"keyId": "E5D1D7",
"keyPurpose": "ENCRYPTION",
"keyRotation": {
"count": 1000000,
"expirationTimestamp": 2784035200000
},
"keyType": "AES",
"lastModifiedTimestamp": 1791809908093,
"owner": "JPMC",
"requestId": "222a3842-af4c-4023-99e0-3555ad23f2ae",
"responseCode": "ACCEPTED",
"responseMessage": "Request completed",
"status": "PENDING_ACTIVATION",
"timestamp": 1791809908093
}Retrieve a list of keys
You can retrieve a list of keys by using the GET /keys endpoint along with the query parameters/filters of your choice.
The following table lists the available filters:
| Query parameter/filter | Description |
|---|---|
keyCategory |
Key categories supported for key creation. Valid value is:
|
keyPurpose |
The cryptographic purpose of the key. Valid value is:
|
keyType |
The cryptographic key type. Valid value is:
|
limit |
The maximum number of items that can be returned in a single response.
|
offset |
The number of records to skip, before returning a response.
|
owner |
The owner or issuer of the key. Valid values are:
|
status |
The status of the key. Valid values are:
|
HTTP Method: GET
Endpoint: /keys?owner=JPMC&status=ACTIVE&keyPurpose=ENCRYPTION&limit=20&offset=0'
Scenario: Retrieving a list of keys using filters
{
"keys": [
{
"activationTimestamp": 1791790322233,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1791790322359,
"keyExpirationTimestamp": 1791876722233,
"keyId": "05F7C2",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyFormat": "TR-31",
"keyUsage": "4P",
"keyAlgorithm": "AES-256",
"kcv": "05F7C2"
},
"owner": "JPMC",
"status": "ACTIVE"
},
{
"activationTimestamp": 1791549453306,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1791549453434,
"keyExpirationTimestamp": 1791635853306,
"keyId": "0A44AB",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyFormat": "TR-31",
"keyUsage": "4P",
"kcv": "0A44AB",
"keyAlgorithm": "AES-256"
},
"owner": "JPMC",
"status": "ACTIVE"
},
{
"activationTimestamp": 1788874285742,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1788874285876,
"keyExpirationTimestamp": 1788960685742,
"keyId": "0BADF9",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyFormat": "TR-31",
"keyAlgorithm": "AES-256",
"kcv": "0BADF9",
"keyUsage": "4P"
},
"owner": "JPMC",
"status": "ACTIVE"
},
{
"activationTimestamp": 1791466902485,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1791466902596,
"keyExpirationTimestamp": 3789724314234,
"keyId": "0D06EC",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyFormat": "TR-31",
"kcv": "0D06EC",
"keyAlgorithm": "AES-256",
"keyUsage": "4P"
},
"owner": "JPMC",
"status": "ACTIVE"
},
{
"activationTimestamp": 1791790979540,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1791790979651,
"keyExpirationTimestamp": 1791877379540,
"keyId": "0E2175",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyUsage": "4P",
"keyAlgorithm": "AES-256",
"keyFormat": "TR-31",
"kcv": "0E2175"
},
"owner": "JPMC",
"status": "ACTIVE"
},
{
"activationTimestamp": 1789636150867,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1789636150993,
"keyExpirationTimestamp": 1789722550867,
"keyId": "102389",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyUsage": "4P",
"kcv": "102389",
"keyAlgorithm": "AES-256",
"keyFormat": "TR-31"
},
"owner": "JPMC",
"status": "ACTIVE"
},
{
"activationTimestamp": 2781136000000,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1791451725372,
"keyExpirationTimestamp": 2781222400000,
"keyId": "10A9AB",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyFormat": "TR-31",
"environment": "UAT",
"keyAlgorithm": "AES-256",
"keyUsage": "4P",
"kcv": "10A9AB"
},
"owner": "JPMC",
"status": "PENDING_ACTIVATION"
},
{
"activationTimestamp": 1791548630677,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1791548630785,
"keyExpirationTimestamp": 1791635030677,
"keyId": "128318",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyUsage": "4P",
"kcv": "128318",
"keyFormat": "TR-31",
"keyAlgorithm": "AES-256"
},
"owner": "JPMC",
"status": "ACTIVE"
},
{
"activationTimestamp": 2781136000000,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1787227072336,
"keyExpirationTimestamp": 2781222400000,
"keyId": "13A590",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyUsage": "4P",
"keyFormat": "TR-31",
"kcv": "13A590",
"keyAlgorithm": "AES-256",
"environment": "IST"
},
"owner": "JPMC",
"status": "PENDING_ACTIVATION"
},
{
"activationTimestamp": 1791805361881,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1791805361981,
"keyExpirationTimestamp": 1791891761881,
"keyId": "13EF6E",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyFormat": "TR-31",
"kcv": "13EF6E",
"keyAlgorithm": "AES-256",
"keyUsage": "4P"
},
"owner": "JPMC",
"status": "ACTIVE"
},
{
"activationTimestamp": 2781136000000,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1787056344441,
"keyExpirationTimestamp": 1812672000000,
"keyId": "15ECFA",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyFormat": "TR-31",
"keyUsage": "4P",
"keyAlgorithm": "AES-256",
"environment": "uat",
"kcv": "15ECFA"
},
"owner": "JPMC",
"status": "PENDING_ACTIVATION"
},
{
"activationTimestamp": 1791802200717,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1791802200846,
"keyExpirationTimestamp": 1791888600717,
"keyId": "18C4DF",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"kcv": "18C4DF",
"keyAlgorithm": "AES-256",
"keyFormat": "TR-31",
"keyUsage": "4P"
},
"owner": "JPMC",
"status": "ACTIVE"
},
{
"activationTimestamp": 1791529980815,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1791529980921,
"keyExpirationTimestamp": 3789724314234,
"keyId": "190367",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"kcv": "190367",
"keyAlgorithm": "AES-256",
"keyUsage": "4P",
"keyFormat": "TR-31"
},
"owner": "JPMC",
"status": "ACTIVE"
},
{
"activationTimestamp": 1791537729916,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1791537729968,
"keyExpirationTimestamp": 3789724314234,
"keyId": "19539B",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyUsage": "4P",
"keyAlgorithm": "AES-256",
"keyFormat": "TR-31",
"kcv": "19539B"
},
"owner": "JPMC",
"status": "ACTIVE"
},
{
"activationTimestamp": 1791544360840,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1791544361010,
"keyExpirationTimestamp": 1791630760840,
"keyId": "19A8AA",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"kcv": "19A8AA",
"keyFormat": "TR-31",
"keyUsage": "4P",
"keyAlgorithm": "AES-256"
},
"owner": "JPMC",
"status": "ACTIVE"
},
{
"activationTimestamp": 1790848040950,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1790848041160,
"keyExpirationTimestamp": 3789724314234,
"keyId": "19B70E",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyAlgorithm": "AES-256",
"kcv": "19B70E",
"keyUsage": "4P",
"keyFormat": "TR-31"
},
"owner": "JPMC",
"status": "ACTIVE"
},
{
"activationTimestamp": 1787729624858,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1787729625004,
"keyExpirationTimestamp": 1812672000000,
"keyId": "1A4F51",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyAlgorithm": "AES-256",
"department": "payments",
"kcv": "1A4F51",
"costCenter": "CC-1234",
"keyUsage": "4P",
"environment": "production",
"keyFormat": "TR-31"
},
"owner": "JPMC",
"status": "ACTIVE"
},
{
"activationTimestamp": 1791549644761,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1791549644807,
"keyExpirationTimestamp": 1791636044761,
"keyId": "1B4925",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyFormat": "TR-31",
"keyAlgorithm": "AES-256",
"keyUsage": "4P",
"kcv": "1B4925"
},
"owner": "JPMC",
"status": "ACTIVE"
},
{
"activationTimestamp": 2781136000000,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1791795711025,
"keyExpirationTimestamp": 2781136000000,
"keyId": "304125",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyFormat": "TR-31",
"environment": "UAT",
"keyAlgorithm": "AES-256",
"keyUsage": "2P",
"kcv": "304125"
},
"owner": "JPMC",
"status": "PENDING_ACTIVATION"
},
{
"activationTimestamp": 1785930707999,
"keyCategory": "ZPK",
"keyCreationTimestamp": 1785930708079,
"keyExpirationTimestamp": 1786017107999,
"keyId": "386646",
"keyPurpose": "ENCRYPTION",
"keyType": "AES",
"metadata": {
"keyAlgorithm": "AES-256",
"keyUsage": "4P",
"kcv": "386646",
"keyFormat": "TR-31"
},
"owner": "JPMC",
"status": "ACTIVE"
}
],
"limit": 20,
"offset": 0,
"requestId": "a23ec50f-f6ad-4758-851b-f8f20e21d3fd",
"responseCode": "ACCEPTED",
"responseMessage": "Request completed",
"timestamp": 1791809801258,
"totalCount": 105
}